/* Navigation Menu styles */
/* --------------------------------------------------------------------------------------------- */

.site-header.menu-active .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1) !important;
}

.site-header.menu-active #menu-toggle {
  color: var(--white) !important;
}

.menu-toggle-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  height: 60px;
  width: 100%;
  z-index: 1001;
}

.menu-background-colour-filler {
  background-color: var(--background-grey-2);
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  height: 60px;
  width: 100%;
  z-index: 999;
}

.menu-toggle-wrapper {
  display: flex;
  align-items: center;
  position: fixed;
  height: 60px;
  top: 0px;
  right: 12px;
  z-index: 1001;
}

.site-header.menu-active .menu-toggle-wrapper #menu-toggle {
  display: none;
}

.menu-toggle-wrapper .menu-toggle--close-icon {
  display: none;
}

.site-header.menu-active .menu-toggle-wrapper .menu-toggle--close-icon {
  filter: invert(1);
  display: block;
}

.navigation-menu--homepage-link {
  position: fixed;
  top: 12px;
  left: 12px;
  z-index: 1001;
}

.navigation-menu--homepage-link .navigation-menu--logo {
  position: relative;
  left: initial;
  top: initial;
}

/* Toggle Button */
#menu-toggle {
  color: var(--black);
  cursor: pointer;
  display: flex;
  position: relative;
  z-index: 1000;
  /* transition: color 0.3s ease-in-out; */
}

#menu-toggle.font-colour--white {
  color: var(--white);
}



/* Homepage specific styles -------------------------------------------------------------------- */
.home .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
}

.home #fullscreen-menu .navigation-menu--logo {
  display: none;
}

.home .menu-background-colour-filler {
  background-color: transparent;
}

.home #menu-toggle {
  color: var(--white);
}

/* Single-Journal specific styles --------------------------------------------------------------------- */
.single-journal .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.single-journal .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.single-journal .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.single-journal .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.single-journal #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.single-journal #menu-toggle.menu-inverted {
  color: var(--black);
}

/* Archive-Journal specific styles ------------------------------------------------------------- */
.post-type-archive-journal .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.post-type-archive-journal .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.post-type-archive-journal .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.post-type-archive-journal .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.post-type-archive-journal #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.post-type-archive-journal #menu-toggle.menu-inverted {
  color: var(--black);
}


/* Archive-Artists specific styles ------------------------------------------------------------- */
.post-type-archive-artist .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.post-type-archive-artist .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.post-type-archive-artist .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.post-type-archive-artist .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.post-type-archive-artist #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.post-type-archive-artist #menu-toggle.menu-inverted {
  color: var(--black);
}

/* Single-Artist specific styles --------------------------------------------------------------------- */
.single-artist .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.single-artist .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.single-artist .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.single-artist .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.single-artist #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.single-artist #menu-toggle.menu-inverted {
  color: var(--black);
}


/* Archive-Exhibitions specific styles --------------------------------------------------------------------- */
.post-type-archive-exhibition .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.post-type-archive-exhibition .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.post-type-archive-exhibition .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.post-type-archive-exhibition .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.post-type-archive-exhibition #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.post-type-archive-exhibition #menu-toggle.menu-inverted {
  color: var(--black);
}


/* Taxonomy for Exhibitions specific styles --------------------------------------------------------------------- */
.tax-exhibition-location .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.tax-exhibition-location .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.tax-exhibition-location .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.tax-exhibition-location .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.tax-exhibition-location #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.tax-exhibition-location #menu-toggle.menu-inverted {
  color: var(--black);
}

/* Single-Exhibition specific styles --------------------------------------------------------------------- */
.single-exhibition .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.single-exhibition .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.single-exhibition .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.single-exhibition .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.single-exhibition #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.single-exhibition #menu-toggle.menu-inverted {
  color: var(--black);
}


/* about-us page template specific styles --------------------------------------------------------------------- */
.page-template-page-about-us .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.page-template-page-about-us .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.page-template-page-about-us .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.page-template-page-about-us .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.page-template-page-about-us #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.page-template-page-about-us #menu-toggle.menu-inverted {
  color: var(--black);
}

/* advisory page template specific styles --------------------------------------------------------------------- */
.page-template-page-advisory .menu-background-colour-filler {
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.page-template-page-advisory .menu-background-colour-filler.menu-inverted {
  background-color: var(--background-grey-2);
}

.page-template-page-advisory .navigation-menu--homepage-link .navigation-menu--logo {
  filter: invert(1);
  transition: filter 0.3s ease-in-out;
}

.page-template-page-advisory .navigation-menu--homepage-link .navigation-menu--logo.menu-inverted {
  filter: invert(0);
}

.page-template-page-advisory #menu-toggle {
  color: var(--white);
  transition: color 0.3s ease-in-out;
}

.page-template-page-advisory #menu-toggle.menu-inverted {
  color: var(--black);
}


/* Journal Mobile Filter ----------------------------------------------------------------------- */
.journal-filter--mobile {
  background-color: var(--background-grey-2);
  display: contents;
  align-items: center;
  justify-content: center;
  position: fixed;
  width: 100%;
  top: 60px;
  left: 50%;
  opacity: 0;
  transform: translate(-50%, 0);
  z-index: 1001;
  transition: opacity 0.3s ease-in-out;
}

.journal-filter--mobile.visible {
  display: flex;
  opacity: 1;
}

.site-header.menu-active .journal-filter--mobile {
  display: none;
}

.custom-dropdown {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
}

.dropdown-btn {
  background: none;
  border: none;
  position: fixed;
  top: -40px;
}

.dropdown-btn::after {
  display: block;
  position: absolute;
  top: 0px;
  right: -10px;
  transform: rotate(0deg);
  transition: transform 0.3s ease-out;
}

.dropdown-btn.open::after {
  transform: rotate(-180deg);
}

.dropdown-container {
  max-height: 0px;
  margin-top: -20px;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
}

.dropdown-container.open {
  max-height: 200px;
}

.dropdown-list {
  color: var(--Grey-600, #666);
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px 0;
  gap: 12px;
}




/* Fullscreen Menu ----------------------------------------------------------------------------- */
#fullscreen-menu {
  background-color: var(--black);
  position: fixed;
  /* align-content: center; */
  height: 100vh;
  width: 100vw;
  visibility: hidden;
  opacity: 1;
  top: -110%;
  z-index: 1000;
  transition:  visibility 0.8s ease, top 0.8s ease;
}

#fullscreen-menu.active {
  visibility: visible;
  opacity: 1;
  top:0%;
}

/* Menu Links */
#fullscreen-menu ul {
  list-style: none;
  padding: 0;
  position: absolute;
  margin: 0;
  text-align: center;
  width: 100%;
  top: 50%;
  transform: translateY(-50%);
  
  opacity: 0;
  transition: opacity 0.2s ease 0.2s; /* Delayed to match menu fade-in */
}

#fullscreen-menu.active ul {
  opacity: 1;
}

#fullscreen-menu a {
  color: var(--white);
  display: block;
  padding: 30px 0;
  text-align: center;
  text-decoration: none;
}

#fullscreen-menu a:hover {
  text-decoration: underline;
  text-underline-offset: 4px;
}

.navigation-menu--logo {
  display: flex;
  position: absolute;
  top: 12px;
  left: 12px;
  width: 25px;
}


.background-image-wrapper {
  background-color: var(--black);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1; /* Behind the menu */
  overflow: hidden;
}

.background-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;
  z-index: 1;
}

@media screen and (min-width: 1280px) {
  .journal-filter--mobile {
    display: none !important;
  }
}

/* Desktop brakpoint -------------------------------------------------------------------- */
@media screen and (min-width: 1440px) {
  .main-navigation-menu {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
  }

  .journal-filter--mobile {
    display: none !important;
  }

  .home .menu-toggle-wrapper {
    justify-content: flex-end;
  }

  .home .menu-toggle-wrapper .navigation-menu--homepage-link {
    display: none;
  }

  .home .navigation-menu--homepage-link .navigation-menu--logo {
    filter: invert(1);
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
  }
  
  .home .navigation-menu--homepage-link .navigation-menu--logo.show-logo {
    opacity: 1;
  }
}